Subject: Limits in Netconf XML schema

From: "McDonald, Ira" <[email-masked]>
Date: Sat, 24 Dec 2005 10:33:48 -0800

Hi,

4095 seems more than sufficient for the message-id attribute (even allowing
for 
several imbedded long opaque URIs in some vendor-specific format).

I suggest that the XML Schema for Netconf SHOULD specify upper size limits
on all 
string/keyword/URI attributes and lower/upper value limits on integer
attributes.

A Netconf test suite is going to try to test limits.  

If the upper limits are all implementation-specific, then quite soon some 
interoperability is going to get lost because an implementor made a
(permitted) 
restrictive size choice.

Cheers,
- Ira

Ira McDonald (Musician / Software Architect)
Blue Roof Music / High North Inc
PO Box 221  Grand Marais, MI  49839
phone: +1-906-494-2434
email: [email-masked]

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On
> Behalf Of Rob Enns
> Sent: Thursday, December 22, 2005 3:48 PM
> To: Andy Bierman
> Cc: Netconf (E-mail)
> Subject: RE: message-id attribute issues
> 
> 
> > What about 4095 octets?   That's 20 times
> > bigger than any message-id I would have thought we needed.
> > Big enough to be useful, small enough to be mandatory-to-accept.
> > 
> > I realize that this whole issue is sort of
> > covered by the max-message-size issue.
> > After all, that is the real limit here that matters.
> > 
> > I understand that 4095 is just an arbitrary a limit as 65535.
> > However, we envision this field being around 16 bytes in
> > actual use.  IMO, if we come up with new semantics over
> > time, then we add an additional parameter with an appropriate
> > data type at that time.
> > 
> > I want to make sure that manager application developers
> > can reasonably expect to code to the limits in the standard
> > and have agents accept the request.
> > 
> > IMO this is different than the size of the <config> element that
> > obviously grows in proportion to the size of the device.
> 
> 4095 bytes seems plenty large, but as you say it's still arbitrary.
> If you really think message-id should be capped, I'm fine with this
> value. 
> Any other opinions out there?
> 
> Rob
> 
> --
> to unsubscribe send a message to [email-masked] with
> the word 'unsubscribe' in a single line as the message text body.
> archive: <http://ops.ietf.org/lists/netconf/>
> 

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/netconf/>